<?php
// $Id: waiting.inc.php,v 1.1 2004/07/11 10:28:43 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//
// Original Author: Half-Dead
// Author Website : http://www.e-xoops.com
// License Type   : LGPL: See /manual/LICENSES/LGPL.txt
// ------------------------------------------------------------------------- //

//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function news_waiting() {
global $db;

$count   = 0;
$waiting = array();

$result = $db->query("SELECT COUNT(*) FROM ".$db->prefix("stories")." WHERE published=0");
if ($result) {
	list($num) = $db->fetch_row($result);
	$num = intval($num);
	if ($num > 0) {
		$waiting[$count]['image'] = XOOPS_URL.'/images/menu/pointer.gif';
		$waiting[$count]['link']  = XOOPS_URL.'/modules/news/admin/index.php?op=newarticle';
		$waiting[$count]['text']  = _MB_SYSTEM_SUBMS;
		$waiting[$count]['count'] = $num;
		$count++;
	}
}

return $waiting;
}
?>
